Subject: RE: Scale (and the SRV record)

From: Alan Lloyd <[email-masked]>
Date: Thu, 5 Nov 1998 16:32:46 +1100

But where to these local caches and hard copy books come from. How do
they get into order. What is the registration or allocation process.

AND

If there was an online directory service would they use that instead.

If directory technology has been designed to be distributed and scale
and solves lots of people keeping lots of outdated copies - why not use
it?

People work with the tools to hand. New tools should solve todays
problems. And when we use them people will work differently.

regards alan

> -----Original Message-----
> From:	Stephen Kent [SMTP:[email-masked]]
> Sent:	Thursday, 5 November 1998 9:24
> To:	Alan Lloyd
> Cc:	'Phillip M Hallam-Baker'; Russ Housley; [email-masked]
> Subject:	RE: Scale (and the SRV record)
> 
> Alan,
> 
> >I think of CAs as functions and certs that are applied to real life
> >entities which are represented as attributes of objects in a business
> >level directory system.
> >
> >Bashing DNS records into certs and CA operations and validation paths
> >just complicates life with a higher operational costs and does not
> use
> >the utility of distributed information infrastructures. Its like
> >configuring every phone with every one elses phone number. When in
> fact
> >we use the distributed telephone network and its directory system to
> >avoid that.
> >
> 
> In the US few people I know regularly use directory assistance; they
> most
> often use local caches (address books) and hard copy phone
> directories.
> So, this analogy seems a bit questionable.
> 
> Steve

---

From: Stephen Kent <[email-masked]>
Date: Thu, 5 Nov 1998 07:50:26 -0500

Alan,

>they get into order. What is the registration or allocation process.

The issue is not the ultimate source of the data, but how people access it
in real time.

>If there was an online directory service would they use that instead.

If it were free, yes. Here in the US the online form is called directory
assistance and it costs money, especially when the data is not local (a
caching issue).

>and solves lots of people keeping lots of outdated copies - why not use

If all of this were true of the directory systems, I would agree.  But what
we have now is not characterized by these adjectives ...

Steve